import { CellMask, OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import './cell-progress-mask.scss';
export default class CellProgressMask {
    private table;
    mask: CellMask;
    progressBar: HTMLElement | null;
    progress: HTMLElement | null;
    constructor(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, row: number, col: number);
    destroy(): void;
    handleCreate: (mark: CellMask, parent: HTMLElement) => void;
    setProgress(progress: number): void;
}
